fribidi_set_reorder_nsm(3)

NAME
fribidi_set_reorder_nsm - set marks reordering on or off

SYNOPSIS
#include <fribidi.h>

extern fribidi_boolean fribidi_set_reorder_nsm(fribidi_boolean state);

PARAMETERS

fribidi_boolean state
    New state to set.

DESCRIPTION
This function is used to turn non-spacing marks reordering on or off. Reordering non-spacing marks is the act of placing non-spacing marks (bidi class NSM) after their base character in a right-to-left resolved context. If your rendering engine expects non-spacing marks always after the base character in the memory representation of the visual string, you need this option on. An example of where people may need it off is when rendering in the console when non-spacing marks cannot be applied on top of the base character.

This flag is on by default. This function is deprecated and only used with other deprecated functions.

RETURNS
The new marks reordering status.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)